%define upstream_name	 Config-Any
%define upstream_version 0.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Load configuration from different file formats, transparently
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Pluggable::Object) >= 3.600.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
Config::Any provides a facility for Perl applications and libraries to
load configuration data from multiple different file formats. It
supports XML, YAML, JSON, Apache-style configuration, Windows INI
files, and even Perl code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Config

%changelog
* Tue Aug 29 2023 tv <tv> 0.330.0-1.mga10
+ Revision: 1980932
- update to 0.33

* Sun Mar 20 2022 umeabot <umeabot> 0.320.0-4.mga9
+ Revision: 1808567
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.320.0-3.mga8
+ Revision: 1503584
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.320.0-2.mga7
+ Revision: 1282294
- Mageia 7 Mass Rebuild

* Sun Jul 30 2017 sander85 <sander85> 0.320.0-1.mga7
+ Revision: 1132680
- update to 0.32

* Sat Jun 18 2016 pterjan <pterjan> 0.270.0-2.mga6
+ Revision: 1024280
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.270.0-1.mga6
+ Revision: 1001711
- update to 0.27

* Fri Feb 19 2016 umeabot <umeabot> 0.260.0-2.mga6
+ Revision: 967729
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.260.0-1.mga6
+ Revision: 850169
- update to 0.26

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-5.mga5
+ Revision: 738820
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.240.0-4.mga5
+ Revision: 732952
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-3.mga5
+ Revision: 683970
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.240.0-2.mga4
+ Revision: 534382
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 sander85 <sander85> 0.240.0-1.mga4
+ Revision: 477527
- update to 0.24

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-2.mga3
+ Revision: 364580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.23

* Fri Jul 08 2011 jquelin <jquelin> 0.220.0-1.mga2
+ Revision: 120350
- update to 0.22

* Wed Jun 15 2011 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 106532
- update to 0.21

* Sat Jan 22 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 31796
- mageia rebuild
- imported package perl-Config-Any

